# Your First API Call

The Arcee Platform API is OpenAI compatible. It can be accessed through your command line, or, with minor configuration changes, through the OpenAI SDK.&#x20;

| Parameter | Value                                                                    |
| --------- | ------------------------------------------------------------------------ |
| base\_url | <https://api.arcee.ai/api/v1/chat/completions>                           |
| api\_key  | [Generate API key](https://chat.arcee.ai/admin/manage-api-keys/api-keys) |

#### **1. Generate an API Key**

Create an API key from your [**Arcee Platform**](https://chat.arcee.ai/login) dashboard. This key authenticates all API requests.

#### **2. Choose a Model**

Specify the model you want to run inference with. Arcee currently provides the following production models:

* **trinity-mini-thinking**
* **trinity-nano-thinking**

#### **3. Run the Code Snippet**

Use your **API key** and **model name** in the sample code below to make your first request.

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST "https://api.arcee.ai/api/v1/chat/completions" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <Arcee Platform API Key>" \
  -d '{
        "model": "<Model Name>",
        "messages": [
          {"role": "system", "content": "You are a helpful assistant."},
          {"role": "user", "content": "Greetings!"}
        ],
        "stream": false
      }'
```

{% endtab %}

{% tab title="Python" %}

```python
from openai import OpenAI 

client = OpenAI(
    api_key="<Arcee Platform API Key>", 
    base_url="https://api.arcee.ai/api/v1")
response = client.chat.completions.create(
    model = "<Model Name>", # Change to whichever Arcee AI model you want to invoke
    messages = [ 
        {"role":"system", "content":"You are a helpful assistant"},
        {"role":"user", "conent": "Hello"},
    ],
    steam = false 
)

print(response.choices[0].message.content) 

```

{% endtab %}

{% tab title="nodeJS" %}

```javascript
import OpenAI from "openai";

const openai = new OpenAI({
        baseURL: 'https://api.arcee.ai/api/v1',
        apiKey: '<Arcee Platform API Key>'
});

async function main() {
  const completion = await openai.chat.completions.create({
    messages: [{ role: "system", content: "You are a helpful assistant." }],
    model: "<Model Name>",
  });

  console.log(completion.choices[0].message.content);
}

main();
```

{% endtab %}
{% endtabs %}
